solver_mumps_rep< T, M >
Inheritance diagram for solver_mumps_rep< T, M >:

## Public Types

typedef solver_abstract_rep< T, M > | base
typedef base::size_type | size_type
typedef base::determinant_type | determinant_type
Public Types inherited from solver_abstract_rep< T, M >
typedef csr< T, M >::size_type | size_type

## Public Member Functions

| solver_mumps_rep (const csr< T, M > &a, const solver_option &opt=solver_option())
solver_abstract_rep< T, M > * | clone () const
bool | initialized () const
void | update_values (const csr< T, M > &a)
| ~solver_mumps_rep ()
vec< T, M > | trans_solve (const vec< T, M > &rhs) const
vec< T, M > | solve (const vec< T, M > &rhs) const
determinant_type | det () const
Public Member Functions inherited from solver_abstract_rep< T, M >
| solver_abstract_rep (const solver_option &opt)
| solver_abstract_rep (const solver_abstract_rep &x)
const solver_option & | option () const
virtual | ~solver_abstract_rep ()
virtual void | set_preconditioner (const solver_basic< T, M > &)
virtual std::string | name () const

## Protected Attributes

bool | _has_mumps_instance
bool | _drop_ext_nnz
DMUMPS_STRUC_C | _mumps_par
std::vector< MUMPS_INT > | _row
std::vector< MUMPS_INT > | _col
std::vector< double > | _val
double | _a00
determinant_type | _det
Protected Attributes inherited from solver_abstract_rep< T, M >
solver_option | _opt

## Additional Inherited Members

Static Public Member Functions inherited from solver_abstract_rep< T, M >
static solver_abstract_rep< T, M > * | make_solver_ptr (const csr< T, M > &a, const solver_option &opt)

## Detailed Description

### template<class T, class M>
class rheolef::solver_mumps_rep< T, M >

Definition at line 39 of file solver_mumps.h.

## Member Typedef Documentation

## base

typedef solver_abstract_rep<T,M> base

Definition at line 43 of file solver_mumps.h.

## size_type

typedef base::size_type size_type

Definition at line 44 of file solver_mumps.h.

## determinant_type

typedef base::determinant_type determinant_type

Definition at line 45 of file solver_mumps.h.

## Constructor & Destructor Documentation

## solver_mumps_rep()

solver_mumps_rep | ( | const csr< T, M > & | a,
|  | const solver_option & | opt = `solver_option()`
| ) |  |

explicit

Definition at line 249 of file solver_mumps.cc.

## ~solver_mumps_rep()

~solver_mumps_rep

Definition at line 524 of file solver_mumps.cc.

## Member Function Documentation

## clone()

solver_abstract_rep< T, M > * clone

virtual

Reimplemented from solver_abstract_rep< T, M >.

Definition at line 75 of file solver_mumps.h.

## initialized()

bool initialized | ( |  | ) | const

virtual

Reimplemented from solver_abstract_rep< T, M >.

Definition at line 51 of file solver_mumps.h.

## update_values()

void update_values | ( | const csr< T, M > & | a | ) |

virtual

Reimplemented from solver_abstract_rep< T, M >.

Definition at line 265 of file solver_mumps.cc.

## trans_solve()

vec< T, M > trans_solve | ( | const vec< T, M > & | rhs | ) | const

virtual

Reimplemented from solver_abstract_rep< T, M >.

Definition at line 518 of file solver_mumps.cc.

## solve()

vec< T, M > solve | ( | const vec< T, M > & | rhs | ) | const

virtual

Reimplemented from solver_abstract_rep< T, M >.

Definition at line 442 of file solver_mumps.cc.

## det()

determinant_type det | ( |  | ) | const

virtual

Reimplemented from solver_abstract_rep< T, M >.

Definition at line 59 of file solver_mumps.h.

## Member Data Documentation

## _has_mumps_instance

bool _has_mumps_instance

protected

Definition at line 63 of file solver_mumps.h.

## _drop_ext_nnz

bool _drop_ext_nnz

protected

Definition at line 64 of file solver_mumps.h.

## _mumps_par

DMUMPS_STRUC_C _mumps_par

mutable protected

Definition at line 65 of file solver_mumps.h.

## _row

std::vector<MUMPS_INT> _row

protected

Definition at line 66 of file solver_mumps.h.

## _col

std::vector<MUMPS_INT> _col

protected

Definition at line 67 of file solver_mumps.h.

## _val

std::vector<double> _val

protected

Definition at line 68 of file solver_mumps.h.

## _a00

double _a00

protected

Definition at line 69 of file solver_mumps.h.

## _det

determinant_type _det

protected

Definition at line 70 of file solver_mumps.h.

The documentation for this class was generated from the following files:

- /build/rheolef-bzr82u/rheolef-7.1/linalg/lib/solver_mumps.h
- /build/rheolef-bzr82u/rheolef-7.1/linalg/lib/solver_mumps.cc